import request from "utils/axios.js";
//登录
const login = (params) => {
  return request.postJson("/oil-identity/oilRefinery/loginCOMSByPwd", params);
};
const loginOut = () => {
  return request.get("/oil-identity/authorization/logout");
};
//关联企业
const getRefineryByCustomerId = (phone) => {
  return request.get(
    `/oil-user/oilCustomerRefineryRelation/getRefineryByCustomerId/${phone}`
  );
};
//路由
const getCustomerRouters = () => {
  return request.get(
    "/oil-identity/oilRefinery/getCustomerRouters/REFINERY_COMS_WEB"
  );
};
// info
const info = () => {
  return request.get("/oil-identity/unionAuth/info");
};

export default {
  login,
  loginOut,
  getRefineryByCustomerId,
  getCustomerRouters,
  info,
};
