import request from "utils/axios.js";
// table
const getByPage = (params) => {
  return request.postJson("/oil-refinery/xoilRefineryOrder/getByPage", params);
};
//查看提货单信息
const findDeliveryByOrderId = (id) => {
  return request.get(`/oil-refinery/xoilRefineryDelivery/findDeliveryByOrderId/${id}`);
};
//创建提货单
const billSave = (params) => {
  return request.postJson("/oil-refinery/xoilRefineryDelivery/save", params);
};
//修改提货单
const update = (params) => {
  return request.putJson("/oil-refinery/xoilRefineryDelivery/update", params);
};
//查看订单信息
const findByOrderId = (id) => {
  return request.get(`/oil-refinery/xoilRefineryDelivery/findByOrderId/${id}`);
};
//修改提货单
const deleteBill = (params) => {
  return request.putJson("/oil-refinery/xoilRefineryDelivery/delete", params);
};
//下单
const orderSuccess = (params) => {
  return request.postJson("/oil-refinery/xoilRefineryOrder/orderSuccess", params);
};
//订单锁定
const orderLock = (params) => {
  return request.postJson("/oil-refinery/xoilRefineryOrder/orderLock", params);
};





export default {
  getByPage,
  findDeliveryByOrderId,
  billSave,
  findByOrderId,
  update,
  deleteBill,
  orderSuccess,
  orderLock
};
